View a specific supplier relationship. Requires suppliers.read permission.
Path parameters
| Name |
Type |
Required |
Description |
id |
string |
yes |
The unique identifier of the record |
Query parameters
| Name |
Type |
Required |
Description |
fields[] |
string[] |
no |
Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=status) One of: businessId, businessName, createdAt, id, invitationId, organizationId, status, updatedAt. |
with[] |
string[] |
no |
Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, invitedBy, updatedBy. |
Responses
| Status |
Description |
| 200 |
A json object describing the supplier relationship |
| 403 |
The requesting user lacks appropriate permissions |
| 404 |
The supplier relationship was not found |
Response 200 body
data object · required — When fields[] is not provided, all properties are returned. When fields[] is provided, only the requested properties are included.
meta object · required
{
"data": {
"id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
"businessId": "string",
"businessName": "string",
"createdAt": "2024-06-30T19:00:00Z",
"createdBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"invitationId": "string",
"invitedBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"organizationId": "string",
"status": "active",
"updatedAt": "2024-06-30T19:00:00Z",
"updatedBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
}
},
"meta": {
"requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
"userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
"organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
}
}